Subject: Re: Definition of VPATH
From: [email-masked] (Periat Henri)

15 Dec 1997 01:16:25 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> From [email-masked] Sat Dec 13 09:56:56 1997
> X-Originating-Ip: [199.186.21.253]
> From: "Earnie Boyd" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Definition of VPATH
> Date: Fri, 12 Dec 1997 09:16:21 PST
> 
> Hi Henri,
> 
> Don't know if this will work but here is a suggestion:
> 
> VPATH:=/home/periat/src:D\:\\foo\\src
> 
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
> 
> >Date: Fri, 12 Dec 1997 10:52:28 +0100
> >From: [email-masked] (Periat Henri)
> >Subject: Definition of VPATH
> >To: [email-masked]
> >
> >
> >Hi everybody
> >
> >I posted this message a few days ago, but i didn't go much reply on it.
> >
> >I'm very new to cygnu and have to make a UNIX gmake file to run also
> >on MS-NT boxes.
> >Now the problem which stops me in the moment is the ':' problem:
> >
> >- with 'VPATH:=/home/periat/src:D:/foo/src' make can't find the
> >  source files if they are on drive 'D:' only.
> >  
> >- with 'VPATH:=/home/periat/src;D:/foo/src' or
> >       'VPATH:=/home/periat/src://D/foo/src'
> >  '$<' contains '//D/foo/src/foo.c' and non cygnus programs can't deal
> >   with such file names.
> >   
> >- with 'VPATH:=/home/periat/src:/foo/src' and  'D:/foo' binary mounted
> >  as '/foo'
> >  'make' finds files, but again non cygnus programs don't know anything
> >  about 'mount' and so they can't find '/fool/file'
> >  
> >   
> >Can anyone tell me how i can solve this problem?
> >
> >
> >
> >Thanks
> >Henri
> >
> >
> >
> >I have b18 and the 'coolview' patches.
> >

Hi Earnie

Thanks for your repeated efforts. But your suggestion doesn't work, the file
still can't be found.
Version 3.76.1 of 'GNU make' solves this problem, but it has big problems with
'"' in combination with cygnus 'bash', even '@echo "Hello world"' doesn't work.
This problem seems to be known and Rob Tulloh <[email-masked]>
recommended me to load the latest patches (a, b, c and d). But i was not able
to install these patches and get a running, patched 'make'. In 'gnu.utils.help'
i asked for a binary but got no response yet.

Henri
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".